MyGUI: MyGUI::WidgetManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::WidgetManager Class Reference

`#include <MyGUI_WidgetManager.h>`

Inheritance diagram for MyGUI::WidgetManager:
[legend]

## Public Member Functions
| WidgetManager ()
void | initialise ()
void | shutdown ()
Widget * | createWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Widget *_parent, ICroppedRectangle *_cropeedParent, const std::string &_name)
void | destroyWidget (Widget *_widget)
void | destroyWidgets (const VectorWidgetPtr &_widgets)
void | destroyWidgets (EnumeratorWidgetPtr _widgets)
void | registerUnlinker (IUnlinkWidget *_unlink)
void | unregisterUnlinker (IUnlinkWidget *_unlink)
void | unlinkFromUnlinkers (Widget *_widget)
bool | isFactoryExist (const std::string &_type)
void | _deleteWidget (Widget *_widget)
void | _deleteDelayWidgets ()
const std::string & | getCategoryName () const
Public Member Functions inherited from MyGUI::MemberObsolete< WidgetManager >
void | destroyWidgetsVector (VectorWidgetPtr &_widgets)
Widget * | findWidgetT (const std::string &_name, bool _throw=true)
Widget * | findWidgetT (const std::string &_name, const std::string &_prefix, bool _throw=true)
void | parse (Widget *_widget, const std::string &_key, const std::string &_value)

## Static Public Member Functions
static WidgetManager & | getInstance ()
static WidgetManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 20 of file MyGUI_WidgetManager.h.

## Constructor & Destructor Documentation

## ◆ WidgetManager()

MyGUI::WidgetManager::WidgetManager | ( |  | ) |

Definition at line 43 of file MyGUI_WidgetManager.cpp.

## Member Function Documentation

## ◆ _deleteDelayWidgets()

void MyGUI::WidgetManager::_deleteDelayWidgets | ( |  | ) |

Definition at line 183 of file MyGUI_WidgetManager.cpp.

## ◆ _deleteWidget()

void MyGUI::WidgetManager::_deleteWidget | ( | Widget * | _widget | ) |

Definition at line 169 of file MyGUI_WidgetManager.cpp.

## ◆ createWidget()

Widget * MyGUI::WidgetManager::createWidget | ( | WidgetStyle | _style,
|  | const std::string & | _type,
|  | const std::string & | _skin,
|  | const IntCoord & | _coord,
|  | Widget * | _parent,
|  | ICroppedRectangle * | _cropeedParent,
|  | const std::string & | _name )

Definition at line 104 of file MyGUI_WidgetManager.cpp.

## ◆ destroyWidget()

void MyGUI::WidgetManager::destroyWidget | ( | Widget * | _widget | ) |

Destroy _widget

Definition at line 118 of file MyGUI_WidgetManager.cpp.

## ◆ destroyWidgets() [1/2]

void MyGUI::WidgetManager::destroyWidgets | ( | const VectorWidgetPtr & | _widgets | ) |

Destroy vector of widgets

Definition at line 123 of file MyGUI_WidgetManager.cpp.

## ◆ destroyWidgets() [2/2]

void MyGUI::WidgetManager::destroyWidgets | ( | EnumeratorWidgetPtr | _widgets | ) |

Destroy Enumerator of widgets

Definition at line 128 of file MyGUI_WidgetManager.cpp.

## ◆ getCategoryName()

const std::string & MyGUI::WidgetManager::getCategoryName | ( |  | ) | const

Definition at line 193 of file MyGUI_WidgetManager.cpp.

## ◆ getClassTypeName()

static const char * MyGUI::WidgetManager::getClassTypeName | ( |  | ) |
| static

## ◆ getInstance()

static WidgetManager & MyGUI::WidgetManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

static WidgetManager * MyGUI::WidgetManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::WidgetManager::initialise | ( |  | ) |

Definition at line 50 of file MyGUI_WidgetManager.cpp.

## ◆ isFactoryExist()

bool MyGUI::WidgetManager::isFactoryExist | ( | const std::string & | _type | ) |

Check if factory with specified widget type exist

Definition at line 154 of file MyGUI_WidgetManager.cpp.

## ◆ registerUnlinker()

void MyGUI::WidgetManager::registerUnlinker | ( | IUnlinkWidget * | _unlink | ) |

Register unlinker (call unlink if for any destroyed widget)

Definition at line 133 of file MyGUI_WidgetManager.cpp.

## ◆ shutdown()

void MyGUI::WidgetManager::shutdown | ( |  | ) |

Definition at line 88 of file MyGUI_WidgetManager.cpp.

## ◆ unlinkFromUnlinkers()

void MyGUI::WidgetManager::unlinkFromUnlinkers | ( | Widget * | _widget | ) |

Unlink widget

Definition at line 146 of file MyGUI_WidgetManager.cpp.

## ◆ unregisterUnlinker()

void MyGUI::WidgetManager::unregisterUnlinker | ( | IUnlinkWidget * | _unlink | ) |

Unregister unlinker (call unlink if for any destroyed widget)

Definition at line 139 of file MyGUI_WidgetManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_WidgetManager.h
- MyGUI_WidgetManager.cpp